Skip to main content
`Ctrl`+`K`

# PetscQuadratureDestroy

Destroys a `PetscQuadrature` object

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureDestroy(PetscQuadrature *q)

Collective

## Input Parameter

- q - The `PetscQuadrature` object

## See Also

`PetscQuadrature`, `PetscQuadratureCreate()`, `PetscQuadratureGetData()`

## Level

beginner

## Location

src/dm/dt/interface/dt.c

## Examples

src/ksp/ksp/tutorials/ex70.c
src/ksp/ksp/tutorials/ex35.cxx
src/dm/field/tutorials/ex1.c
src/ksp/ksp/tutorials/ex36.cxx

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages